<?php
/**
 * ------------------------------------------------------------------------
 * JA Brickstore Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

// get params
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;

if (!$sitename) {
	$sitename = JFactory::getConfig()->get('sitename');
}

?>

<!-- HEADER -->
<header id="t3-header" class="t3-header <?php if (!$this->getParam('responsive', 1)) echo 'no-responsive container'; ?>">

		<!-- LOGO -->
		<div class="logo col-sm-4 col-lg-4 col-lg-offset-4">
			<div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
        <a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
					<?php if($logotype == 'image'): ?>
						<img class="logo-img" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<?php if($logoimgsm) : ?>
						<img class="logo-img-sm" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
					<?php endif ?>
					<span><?php echo $sitename ?></span>
        </a>
				<small class="site-slogan"><?php echo $slogan ?></small>
			</div>
		</div>
		<!-- //LOGO -->

		<div class="head-actions col-sm-8 col-md-6 col-lg-4 clearfix">
			<!-- Brand and toggle get grouped for better mobile display -->
			<?php if ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) : ?>
				<div class="navbar-header pull-right">
				<?php $this->addScript(T3_URL.'/js/nav-collapse.js'); ?>
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".t3-navbar-collapse">
					<i class="fa fa-bars"></i>
				</button>
				</div>
			<?php endif ?>
			

			<?php if ($this->getParam('addon_offcanvas_enable')) : ?>
			<div class="pull-right hidden-lg hidden-md">
				<?php $this->loadBlock ('off-canvas') ?>
			</div>
			<?php endif ?>

			<?php if ($this->countModules('head-cart')) : ?>
				<!-- HEAD CART -->
				<div class="head-cart pull-right<?php $this->_c('head-cart') ?>">
					<jdoc:include type="modules" name="<?php $this->_p('head-cart') ?>" style="raw" />
				</div>
				<!-- //HEAD CART -->
			<?php endif ?>

			<?php if ($this->countModules('head-currency')) : ?>
				<!-- HEAD CURRENCY -->
				<div class="head-currency pull-right<?php $this->_c('head-currency') ?>">
					<jdoc:include type="modules" name="<?php $this->_p('head-currency') ?>" style="raw" />
				</div>
				<!-- //HEAD CURRENCY -->
			<?php endif ?>

			<?php if ($this->countModules('head-search')) : ?>
				<!-- HEAD SEARCH -->
				<div class="head-search pull-right<?php $this->_c('head-search') ?>">
					<button class="btn-search" type="button" >
						<i class="fa fa-search"></i>
						<span><?php echo JText::_( 'TPL_SEARCH' ); ?></span>
					</button>
				</div>
				<!-- //HEAD SEARCH -->
			<?php endif ?>

		    <?php if ($this->countModules('languageswitcherload')) : ?>
		      <!-- LANGUAGE SWITCHER -->
		      <div class="languageswitcherload pull-right" data-ajax-block="block-language-switcher">
		        <jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
		      </div>
		      <!-- //LANGUAGE SWITCHER -->
		    <?php endif ?>
		</div>

		<!-- MAIN NAVIGATION -->
		<nav id="t3-mainnav" class="navbar navbar-default t3-mainnav col-md-6 col-lg-4">

				<?php if ($this->getParam('navigation_collapse_enable')) : ?>
					<div class="t3-navbar-collapse navbar-collapse collapse"></div>
				<?php endif ?>

				<div class="t3-navbar navbar-collapse collapse">
					<jdoc:include type="<?php echo $this->getParam('navigation_type', 'megamenu') ?>" name="<?php echo $this->getParam('mm_type', 'mainmenu') ?>" />
				</div>

		</nav>
		<!-- //MAIN NAVIGATION -->
</header>
<!-- //HEADER -->